<?php

	/*
	 * Public Methods Name: please follow the same nomenclature than sbcapi (nodejs server)
	 */

require_once('/usr/local/www/berogui/includes/beronode/Api.php');

class VpnApi extends Api {

	/* [CONSTRUCTOR] */
	function __construct() {
		parent::__construct();
	}

	/* [PUBLIC METHODS] */
	// Client Management \\
	public function clientDownloadConfiguration(int $id) {
		if ($this->has_error) {
			return $this->getError();
		}
		return $this->sendRequest('get', "/Vpn/Client/$id");
	}

	public function clientKill(int $id, Array $client) {
		if ($this->has_error) {
			return $this->getError();
		}
		return $this->sendRequest('delete', "/Vpn/Client/$id", $client);
	}

	// Server Management \\
	public function serverStart(int $id, Array $data) {
		if ($this->has_error) {
			return $this->getError();
		}
		return $this->sendRequest('post', "/Vpn/Server/$id", $data);
	}

	public function serverState(int $id) {
		if ($this->has_error) {
			return $this->getError();
		}
		return $this->sendRequest('get', "/Vpn/Server/$id");
	}

	public function serverStop(int $id) {
		if ($this->has_error) {
			return $this->getError();
		}
		return $this->sendRequest('delete', "/Vpn/Server/$id");
	}
}
